import React from "react";
import ProgressBar from "./ProgressBar/index";

import logo from "../../../assets/icons/logo.png";

import "./index.scss";
export default function Splash(props) {
  return (
    <>
      {window.innerWidth > 1000 ? (
        <div className="splash d-flex flex-column justify-content-center align-items-center">
          <img src={logo} alt="لوگو" />
          <ProgressBar interval={600} offset={10} />
          <span className="splash__span">در حال بارگیری اطلاعات از سرور</span>
        </div>
      ) : null}
      {window.innerWidth < 1000 ? (
        <div className="mobile-splash d-flex flex-column justify-content-center align-items-center">
          <img src={logo} alt="لوگو" />
          <ProgressBar interval={600} offset={10} />
          <span className="mobile-splash__span">در حال بارگیری اطلاعات از سرور</span>
        </div>
      ) : null}
    </>
  );
}
