import React, { Component } from "react";

import Profile from "./Profile/index";
import Login from "./Login/index";

import "./index.scss";
export default class Auth extends Component {
  constructor(props) {
    super(props);
    this.state = {
      page: this.props.page,
    };
  }
  render() {
    return (
      <div className="auth d-flex">
        {this.state.page === "login" ? <Login parent={this} /> : null}
        {this.state.page === "profile" ? <Profile parent={this} /> : null}
      </div>
    );
  }
}

Auth.defaultProps = {
  page: "login",
};
