import React from "react";
import { Link } from "react-router-dom";

import mobileHome from "~/assets/icons/mobileHome.svg";

import "./index.scss";
export default function Status(props) {
  const customStyle = {
    backgroundColor: props.status ? "#6ada72" : "#ff0000",
    borderColor: props.status ? "red" : "green",
  };

  const textHandler = () => {
    return props.status
      ? "عملیات خرید شما با موفقیت انجام شد."
      : "عملیات با موفقیت انجام نشد!";
  };
  return (
    <>
      {window.innerWidth < 1000 ? (
        <div
          className="mobile-callback-status d-flex justify-content-between"
          style={customStyle}
        >
          {textHandler()}
          <Link to="/">
            <img src={mobileHome} />
          </Link>
        </div>
      ) : null}
    </>
  );
}
