import React from "react";
import navbarSearch from "../../../assets/icons/navbarSearch.png";

import "./index.scss";

const maxDesktopSize = 1250;

const fontSize = {
  desktop: {
    input: window.innerWidth > maxDesktopSize ? 14 : window.innerWidth / 70,
  },
};

export default function Search(props) {
  return (
    <div className="desktop-chat-search d-flex">
      <input
        type="search"
        style={{ fontSize: fontSize.desktop.input }}
        placeholder="جستجو"
      />
      <img src={navbarSearch} alt="جستجو" />
    </div>
  );
}
