import React, { Component } from 'react';
import {Link} from 'react-router-dom';

import './index.scss';
export default class MyProduct extends Component {
  render() {
    const {  data, number } = this.props;
    return(
      <article style={{minWidth : window.innerWidth / number}} className="scroll-my-product d-flex flex-column">
        <Link to={`/books/${data.id}`}>
          <img src={data.image} alt={data.title} />
          <h1>{data.title}</h1>
          <h2>{data.subTitle}</h2>
        </Link>
      </article>

    );
  }
}