import React from 'react';
import Flex from '../Flex/index';
import Simple from '../Simple/index';

export default function Column(props){
  const {data} = props;
  const style = {
    flex: data.flex,
  }
  return(
    <div style={style} className="mobile-home-static__3d d-flex flex-column">
      {
        data.subData.map((item,i) => (
          <SubIdentifier item={item} key={i} />
        ))
      }
    </div>
  );
}

const SubIdentifier = (props) => {
  const {item} = props;
  return(
    <>
      {
      item.design === 'flex' ?
      <Flex data={item} /> : null
      }
      {
      item.design === 'simple' ?
      <Simple data={item} /> : null
      }
    </>
  );
}