import React from "react";
import Flex from "../Flex/index";
import Simple from "../Simple/index";
import Vitrin from "../Vitrin/index";
import Column from "../3D/index";

export default function Identifier(props) {
  const { data, status } = props;
  return (
    <>
      {data.design === "flex" ? <Flex data={data} /> : null}
      {data.design === "simple" ? <Simple data={data} status={status} /> : null}
      {data.design === "vitrin" ? <Vitrin data={data} /> : null}
      {data.design === "3d" ? <Column data={data} /> : null}
    </>
  );
}
