import React from "react";

import "./index.scss";

const maxDesktopSize = 1250;

const fontSize = {
  desktop: {
    strong: window.innerWidth > maxDesktopSize ? 18 : window.innerWidth / 70,
    p: window.innerWidth > maxDesktopSize ? 14 : window.innerWidth / 85,
  },
};
const Replay = (props) => {
  return (
    <>
      {window.innerWidth > 1000 ? (
        <div className="reply d-flex flex-column justify-content-center">
          <strong style={{ fontSize: fontSize.desktop.strong }}>
            پاسخ مدیریت سایت
          </strong>
          <p style={{ fontSize: fontSize.desktop.p }}>{props.data}</p>
        </div>
      ) : null}
    </>
  );
};

export default Replay;
