import { createMuiTheme, ThemeProvider } from "@material-ui/core";
import AudioPlayer from "material-ui-audio-player";

const muiTheme = createMuiTheme({});

export default function MaterialAudioPlayer(props) {
  return (
    <ThemeProvider theme={muiTheme}>
      <AudioPlayer
        elevation={1}
        width="100%"
        variation="default"
        spacing={3}
        // download={true}
        autoPlay={false}
        order="standart"
        preload="auto"
        loop={false}
        src={"https://dnvn.ir/api/v1/file/" + props.data}
      />
    </ThemeProvider>
  );
}
