import React, { Component } from "react";
//import QrReader from "react-camera-qr";
import QrReader from "react-qr-reader";

export default class Scanner extends Component {
  constructor(props) {
    super(props);
    this.state = {
      delay: 100,
      result: "",
    };

    this.handleScan = this.handleScan.bind(this);
  }

  handleScan(data) {
    this.props.parent.setState({
      value: data,
    });
  }

  handleError(err) {
    console.error(err);
  }

  render() {
    let cam = this.props.parent.state.cameraId;

    let facingMode = this.props.parent.state.cameraId;
    return (
      <>
        {window.innerWidth < 1000 ? (
          <QrReader
            delay={800 + Math.random() * 10}
            onError={this.handleError}
            onScan={this.handleScan}
            style={{ width: "100%" }}
            cameraId={cam}
            facingMode={facingMode}
          />
        ) : null}
        {window.innerWidth > 1000 ? (
          <QrReader
            delay={800 + Math.random() * 10}
            onError={this.handleError}
            onScan={this.handleScan}
            style={{ width: "100%" }}
            cameraId={cam}
            facingMode={facingMode}
          />
        ) : null}
        {/* <div>{facingMode[this.props.parent.state.facingMode]}</div>
        <div>{(this.state?.devices || []).join(",")}</div> */}
      </>
    );
  }
}
