import "./index.scss";

import app_icon_img from "~/assets/icons/home_chat.png";
import download_icon from "~/assets/images/Group.png";

const H_DownloadApp = () => {
  return (
    <>
      {window.innerWidth > 1000 ? (
        <div className="h-download-app" id="download">
          <div className="h-download-app-text">
            لذت یادگیری را با<span>دانوین</span> تجربه کنید
          </div>
          <div className="h-download-app-content">
            <div className="h-download-app-content-box1"></div>
            <a
              download
              href="https://danovin.ir/app.apk"
              className="h-download-app-content-box2"
            >
              <div className="h-download-app-content-box2-app-img-container">
                <img
                  src={app_icon_img}
                  className="h-download-app-content-box2-app-img"
                  alt="app_icon_img"
                />
              </div>
              <div className="h-download-app-content-box2-text">
                <div className="h-download-app-content-box2-text-title">
                  دریافت اپلیکیشن اختصاصی دانوین
                </div>
                <div className="h-download-app-content-box2-text-subtitle">
                  به راحتی از همین جا دانلود کنید...
                </div>
              </div>
              <img
                src={download_icon}
                className="h-download-app-content-box2-download-icon"
                alt="download_icon"
                style={{ width: 30 }}
              />
            </a>
          </div>
        </div>
      ) : (
        <div style={{ maxWidth: 540, margin: "auto" }}>
          <a
            download
            href="https://danovin.ir/app.apk"
            className="h-download-app-content-mobile"
          >
            <div className="h-download-app-content-box2-app-img-container">
              <img
                src={app_icon_img}
                className="h-download-app-content-box2-app-img"
                alt="app_icon_img"
              />
            </div>
            <div className="h-download-app-content-box2-text">
              <div className="h-download-app-content-box2-text-title">
                دریافت اپلیکیشن اختصاصی دانوین
              </div>
              <div className="h-download-app-content-box2-text-subtitle">
                به راحتی از همین جا دانلود کنید...
              </div>
            </div>
            <img
              src={download_icon}
              className="h-download-app-content-box2-download-icon"
              alt="download_icon"
              style={{ width: 30 }}
            />
          </a>
          <div style={{ height: 1, width: "100%" }}></div>
        </div>
      )}
    </>
  );
};

export default H_DownloadApp;
