import React from "react";
import TextField from "@material-ui/core/TextField";
import { makeStyles } from "@material-ui/core/styles";

const useStyles = makeStyles((theme) => ({
  root: {
    "& .MuiTextField-root": {
      width: "200px",
      position: "relative",
      marginRight: 30,
      fontFamily: "numeralLight",
    },
    input: {
      border: "0px",
      fontFamily: "numeralLight",
    },
  },
}));

export default function FormPropsTextFields(props) {
  const classes = useStyles();

  return (
    <form className={classes.root} noValidate autoComplete="off">
      <div>
        <TextField
          id="outlined-basic"
          name={props.name}
          label={props.label}
          variant="outlined"
        />
      </div>
    </form>
  );
}
