import React, { Component } from "react";

import Input from "./Input/index";

import "./index.scss";
class Membership extends Component {
  render() {
    return (
      <>
        {window.innerWidth > 1000 ? (
          <div className="membership d-flex">
            <div className="d-flex flex-column">
              <h1>
                <strong>دانوینی</strong> شو
              </h1>
              <p>مشخصات خودت رو وارد کنید و امتیاز هدیه بگیرید</p>
            </div>
            <div className="d-flex">
              <Input label={"نام ‌و ‌نام خانوادگی"} name={"name"} />
              <Input label={"شماره تماس"} name={"mobile"} />
              <button className="membership__submit">ثبت </button>
            </div>
          </div>
        ) : null}
        {window.innerWidth < 1000 ? (
          <div className="mobile-membership d-flex">
            <div className="d-flex flex-column">
              <h1>
                <strong>دانوینی</strong> شو
              </h1>
              <p>مشخصات خودت رو وارد کنید و امتیاز هدیه بگیرید</p>
            </div>
            <div className="d-flex flex-column align-items-center">
              <div>
                <Input label={"نام‌و‌نام خانوادگی"} name={"name"} />
              </div>
              <div>
                <Input label={"شماره تماس"} name={"mobile"} />
              </div>
              <button className="mobile-membership__submit">ثبت </button>
            </div>
          </div>
        ) : null}
      </>
    );
  }
}

export default Membership;
