import React, { Component } from "react";

import LaptopNavbar from "./Laptop/index";
import MobileNavbar from "./Mobile/index";

import "./index.scss";
export default class Navbar extends Component {
  render() {
    return (
      <div className="navbar d-flex">
        {window.innerWidth > 1000 ? (
          <LaptopNavbar page={this.props.page} />
        ) : (
          <MobileNavbar page={this.props.page} />
        )}
      </div>
    );
  }
}
