import React from "react";

import AppliedFiltesrs from "./AppliedFilters/index";
import TypicalFilters from "./TypicalFilters/index";

import "./index.scss";
export default class Filtesrs extends React.Component {
  render() {
    const { parent } = this.props;
    return (
      <div className="products-filters d-flex flex-column">
        {parent.state.selectedFilters.level.length !== 0 ||
        parent.state.selectedFilters.subject.length !== 0 ? (
          <AppliedFiltesrs
            parent={parent}
            data={parent.state.selectedFilters}
          />
        ) : null}
        <TypicalFilters
          name="subject"
          parent={parent}
          data={parent.props.subjects}
          title="دسته بندی موضوعی"
          theme="#D7FF17"
        />
        <TypicalFilters
          name="level"
          parent={parent}
          data={parent.props.levels}
          title="پایه تحصیلی"
          theme="#FF8917"
        />
      </div>
    );
  }
}
