import React, { Component } from "react";
import QrReader from "react-qr-reader";

const facingMode = ["environment", "user"];

export default class Scanner extends Component {
  constructor(props) {
    super(props);
    this.state = {
      delay: 100,
      result: "",
    };

    this.handleScan = this.handleScan.bind(this);
  }
  handleScan(data) {
    this.props.parent.setState({
      value: data,
    });
  }

  handleError(err) {
    console.error(err);
  }
  render() {
    return (
      <>
        {window.innerWidth < 1000 ? (
          <QrReader
            delay={300}
            onError={this.handleError}
            onScan={this.handleScan}
            style={{ width: "100%" }}
            facingMode={facingMode[this.props.parent.state.facingMode]}
          />
        ) : null}
        {window.innerWidth > 1000 ? (
          <QrReader
            delay={300}
            onError={this.handleError}
            onScan={this.handleScan}
            style={{ width: "100%" }}
            facingMode={this.props.parent.state.facingMode}
          />
        ) : null}
      </>
    );
  }
}
